×

Discussion Board

Results 1 to 8 of 8
  1. #1
    Registered User
    Join Date
    Apr 2010
    Posts
    4

    Capbility Required for Audio Routing

    Hi

    what are the capabilities required for CAudioInput Class??

    Please reply..

    Regards,
    Paul

  2. #2
    Nokia Developer Moderator
    Join Date
    Mar 2003
    Location
    Lempäälä/Finland
    Posts
    29,144

    Re: Capbility Required for Audio Routing

    you could maybe check it from the example attached in wiki page: http://wiki.forum.nokia.com/index.php/Audio_Routing_API

  3. #3
    Registered User
    Join Date
    Apr 2010
    Posts
    4

    Re: Capbility Required for Audio Routing

    I have written an application using CAudioInput class.

    Here is the code:

    iRouter = CAudioInput::NewL(*iAInputStream);
    RArray<CAudioInput::TAudioInputPreference> inputArray;
    inputArray.Append( CAudioInput::EDefaultMic );
    // Set Audio Input
    iRouter->SetAudioInputL( inputArray.Array( ) );

    But when i debug the app in emulator(5th edition with extension plugin and 3rd edition fp2),In the first line ,it give error "Feature not supported"....

    M i missing some capabilities??

    Is MutimediaDD capability required for CAudioInput class...??

    Please help me...I am stuck here.

    Thanks in advance

  4. #4
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Budapest, Hungary
    Posts
    28,572

    Re: Capbility Required for Audio Routing

    'Feature not supported' does not depend on capabilities, the emulator usually supports less features than the actual devices.

  5. #5
    Registered User
    Join Date
    Apr 2010
    Posts
    4

    Re: Capbility Required for Audio Routing

    Hi,
    I have tested on device(3rd edition fp2 and 5th edition) also..it shows same error "feature not supported"..but it works on 3rd edition fp1 device...

    please help me

    Regards,
    Mautushi

  6. #6
    Nokia Developer Moderator
    Join Date
    Feb 2006
    Location
    Budapest, Hungary
    Posts
    28,572

    Re: Capbility Required for Audio Routing

    Have you tested it with the proper SDK+plugin pack combination? Note that the plugin API-s come without compatibility guarantees, so the FP1 binary will not necessarily work on FP2/5th.

  7. #7
    Registered User
    Join Date
    Apr 2010
    Posts
    4

    Re: Capbility Required for Audio Routing

    I have installed 3rd edition fp2 SDK and 5th edition SDK with extension plug-in.

  8. #8
    Registered User
    Join Date
    May 2010
    Posts
    5

    Question Re: Capbility Required for Audio Routing

    Hi Mautushi,

    Have you made any progress on this issue?

    I tried something very similar and got the same failure in the simulator: "Feature not supported (-5)"

    I am using the S60 5th Edition SDK with the API extension plug-ins S60 3rd FP2 v1.3, S60 5th v1.1 and the supplementary S60 5th

    Also, have you got this running on actual S60 3rd FP1 _device_ ? I thought this feature was not introduced until FP2?

    Thanks,
    Claus

Similar Threads

  1. 韩国工作机会
    By cindy515 in forum News and Announcements
    Replies: 0
    Last Post: 2009-07-13, 09:11
  2. How to get required capability of API ?
    By savaj in forum Symbian
    Replies: 9
    Last Post: 2009-05-11, 11:08
  3. carbide-error
    By upendersolanki in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 5
    Last Post: 2008-02-06, 11:09
  4. Problem with Cabride.c++ v1.1
    By markovuksanovic in forum Carbide.c++ IDE and plug-ins (Closed)
    Replies: 3
    Last Post: 2007-01-24, 20:05

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •